summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorTony Kelman <tony@kelman.net>2015-03-03 10:53:26 -0800
committerTony Kelman <tony@kelman.net>2015-03-04 11:29:40 -0800
commitac5fad2780a381a2d60fb00e4104c713faa301ec (patch)
tree05a0fa183d7fff9a806bbbf5964923e5542703b1 /script
parentbdf0e734506b5b18234d48a0e7c6995aeda30b9d (diff)
downloadlibgit2-ac5fad2780a381a2d60fb00e4104c713faa301ec.tar.gz
add mingw to appveyor matrix
use MSYS makefiles generator add bash script for running mingw on appveyor add --login and fix run paths use msys style path to appveyor-mingw.sh add mingw path to /etc/fstab
Diffstat (limited to 'script')
-rwxr-xr-xscript/appveyor-mingw.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/script/appveyor-mingw.sh b/script/appveyor-mingw.sh
new file mode 100755
index 000000000..aaafa4903
--- /dev/null
+++ b/script/appveyor-mingw.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+cd `dirname "$0"`/../build
+echo 'C:\MinGW\ /MinGW' > /etc/fstab
+cmake -D ENABLE_TRACE=ON -D BUILD_CLAR=ON .. -G"$GENERATOR"
+cmake --build . --config RelWithDebInfo